# Generated by Django 2.2.24 on 2024-09-16 17:22

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import ishtar_common.models_common
import re


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_context_records', '0117_identification_m2m'),
    ]

    operations = [
        migrations.AddField(
            model_name='contextrecord',
            name='details_on_color',
            field=models.TextField(blank=True, default='', verbose_name='Details on color'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='excavated_length',
            field=models.FloatField(blank=True, null=True, verbose_name='Excavated length (m)'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='excavated_width',
            field=models.FloatField(blank=True, null=True, verbose_name='Excavated width (m)'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='details_on_color',
            field=models.TextField(blank=True, default='', verbose_name='Details on color'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='excavated_length',
            field=models.FloatField(blank=True, null=True, verbose_name='Excavated length (m)'),
        ),
        migrations.AddField(
            model_name='historicalcontextrecord',
            name='excavated_width',
            field=models.FloatField(blank=True, null=True, verbose_name='Excavated width (m)'),
        ),
        migrations.CreateModel(
            name='TextureType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.TextureType', verbose_name='Parent')),
            ],
            options={
                'verbose_name': 'Texture Type',
                'verbose_name_plural': 'Texture Types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.CreateModel(
            name='StructureType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.StructureType', verbose_name='Parent')),
            ],
            options={
                'verbose_name': 'Structure Type',
                'verbose_name_plural': 'Structure Types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.CreateModel(
            name='InclusionType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.InclusionType', verbose_name='Parent')),
            ],
            options={
                'verbose_name': 'Inclusion Type',
                'verbose_name_plural': 'Inclusion Types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.CreateModel(
            name='ColorType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_context_records.ColorType', verbose_name='Parent')),
            ],
            options={
                'verbose_name': 'Color Type',
                'verbose_name_plural': 'Color Types',
                'ordering': ('order', 'label'),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='colors',
            field=models.ManyToManyField(blank=True, to='archaeological_context_records.ColorType'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='inclusions',
            field=models.ManyToManyField(blank=True, to='archaeological_context_records.InclusionType'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='structures',
            field=models.ManyToManyField(blank=True, to='archaeological_context_records.StructureType'),
        ),
        migrations.AddField(
            model_name='contextrecord',
            name='textures',
            field=models.ManyToManyField(blank=True, to='archaeological_context_records.TextureType'),
        ),
    ]
