# Generated by Django 2.2.24 on 2024-09-18 15:06

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import ishtar_common.models_common
import re


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_files', '0115_verbose_names'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='preventivefileequipmentservicecost',
            options={'ordering': ('equipment_service_cost',), 'verbose_name': 'Equipment requirement', 'verbose_name_plural': 'Equipment requirements'},
        ),
        migrations.AlterModelOptions(
            name='preventivefilegroundjob',
            options={'ordering': ('job',), 'verbose_name': 'Human requirement on field', 'verbose_name_plural': 'Human requirements on field'},
        ),
        migrations.AlterModelOptions(
            name='preventivefilejob',
            options={'ordering': ('job',), 'verbose_name': 'Human requirement for post-excavation', 'verbose_name_plural': 'Human requirements for post-excavation'},
        ),
        migrations.CreateModel(
            name='MonitoringJustificationType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_files.MonitoringJustificationType', verbose_name='Parent')),
            ],
            options={
                'verbose_name': 'Monitoring justification type',
                'verbose_name_plural': 'Monitoring justification types',
                'ordering': ('label',),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.CreateModel(
            name='DevelopmentType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('label', models.TextField(verbose_name='Label')),
                ('txt_idx', models.TextField(help_text='The slug is the standardized version of the name. It contains only lowercase letters, numbers and hyphens. Each slug must be unique.', unique=True, validators=[django.core.validators.RegexValidator(re.compile('^[-a-zA-Z0-9_]+\\Z'), "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.", 'invalid')], verbose_name='Textual ID')),
                ('comment', models.TextField(blank=True, default='', verbose_name='Comment')),
                ('available', models.BooleanField(default=True, verbose_name='Available')),
                ('order', models.IntegerField(default=10, verbose_name='Order')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_files.DevelopmentType', verbose_name='Parent')),
            ],
            options={
                'verbose_name': 'Development type',
                'verbose_name_plural': 'Development types',
                'ordering': ('label',),
            },
            bases=(ishtar_common.models_common.Cached, models.Model),
        ),
        migrations.AddField(
            model_name='file',
            name='development_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_files.DevelopmentType', verbose_name='Development type'),
        ),
        migrations.AddField(
            model_name='file',
            name='monitoring_justification',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_files.MonitoringJustificationType', verbose_name='Monitoring justification'),
        ),
        migrations.AddField(
            model_name='historicalfile',
            name='development_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_files.DevelopmentType', verbose_name='Development type'),
        ),
        migrations.AddField(
            model_name='historicalfile',
            name='monitoring_justification',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_files.MonitoringJustificationType', verbose_name='Monitoring justification'),
        ),
    ]
