# Generated by Django 2.2.24 on 2024-09-02 16:43

from django.db import migrations, models
import django.db.models.deletion

SQL = """
ALTER TABLE archaeological_finds_find_treatments ADD COLUMN full_location TEXT;
ALTER TABLE archaeological_finds_find_treatments ADD COLUMN location_type VARCHAR(1);
"""


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_finds', '0126_fix_treatment_file_exhibition'),
    ]

    operations = [
        migrations.RunSQL(SQL),
        migrations.AddField(
            model_name='findtreatments',
            name='full_location',
            field=models.TextField(blank=True, default='', verbose_name='Full location')
        ),
        migrations.AddField(
            model_name='findtreatments',
            name='location_type',
            field=models.CharField(choices=[['C', 'Current'], ['R', 'Reference'], ['B', 'Both']], default='C',
                                   max_length=1,
                                   verbose_name='Location type')
        ),
        migrations.AlterModelOptions(
            name='batchtype',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Batch type', 'verbose_name_plural': 'Batch types'},
        ),
        migrations.AlterModelOptions(
            name='checkedtype',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Checked type', 'verbose_name_plural': 'Checked types'},
        ),
        migrations.AlterModelOptions(
            name='materialtypequalitytype',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Material type quality type', 'verbose_name_plural': 'Material type quality types'},
        ),
        migrations.AlterModelOptions(
            name='objecttypequalitytype',
            options={'ordering': ('order', 'label'), 'verbose_name': 'Object type quality type', 'verbose_name_plural': 'Object type quality types'},
        ),
        migrations.AlterField(
            model_name='findbasket',
            name='items',
            field=models.ManyToManyField(blank=True, related_name='basket', to='archaeological_finds.Find', verbose_name='Associated finds'),
        ),
        migrations.AlterField(
            model_name='historicaltreatmentfile',
            name='external_id',
            field=models.CharField(blank=True, max_length=200, null=True, verbose_name='Reference'),
        ),
        migrations.AlterField(
            model_name='treatmentfile',
            name='external_id',
            field=models.CharField(blank=True, max_length=200, null=True, verbose_name='Reference'),
        ),
        migrations.SeparateDatabaseAndState(
            state_operations=[
                migrations.CreateModel(
                    name='FindTreatment',
                    fields=[
                        ('id',
                         models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                        ('full_location', models.TextField(blank=True, default='', verbose_name='Full location')),
                        ('location_type',
                         models.CharField(choices=[['C', 'Current'], ['R', 'Reference'], ['B', 'Both']], default='C',
                                          max_length=1, verbose_name='Location type')),
                    ],
                    options={
                        'verbose_name': 'Find - Treatment',
                        'verbose_name_plural': 'Find - Treatments',
                        'db_table': 'archaeological_finds_find_treatments',
                    },
                ),
                migrations.AlterField(
                    model_name='find',
                    name='treatments',
                    field=models.ManyToManyField(blank=True, help_text='Related treatments when no new find is created',
                                                 related_name='finds', through='archaeological_finds.FindTreatment',
                                                 to='archaeological_finds.Treatment', verbose_name='Treatments'),
                ),
                migrations.AddField(
                    model_name='findtreatment',
                    name='find',
                    field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archaeological_finds.Find',
                                            verbose_name='Find'),
                ),
                migrations.AddField(
                    model_name='findtreatment',
                    name='treatment',
                    field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                            to='archaeological_finds.Treatment'),
                ),
            ]
        ),
    ]
