# Generated by Django 2.2.24 on 2024-04-26 15:37

from django.db import migrations, models


# on vanilla installation imports relations are already created on 0101_squashed
# via heritage -> ishtar_common.models.GeneralRecordRelations

DELETE_IMPORTS_RELATIONS = """
DROP TABLE IF EXISTS archaeological_operations_recordrelations_imports;
DROP TABLE IF EXISTS archaeological_operations_recordrelations_imports_updated;
ALTER TABLE archaeological_operations_recordrelations DROP COLUMN IF EXISTS timestamp_geo;
ALTER TABLE archaeological_operations_recordrelations DROP COLUMN IF EXISTS timestamp_label;
"""


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0245_verbose_names'),
        ('archaeological_operations', '0114_auto_20231115_1616'),
    ]

    operations = [
        migrations.RunSQL(DELETE_IMPORTS_RELATIONS),
        migrations.AddField(
            model_name='recordrelations',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_operations_recordrelations', to='ishtar_common.Import', verbose_name='Created by imports'),
        ),
        migrations.AddField(
            model_name='recordrelations',
            name='imports_updated',
            field=models.ManyToManyField(blank=True, related_name='import_updated_archaeological_operations_recordrelations', to='ishtar_common.Import', verbose_name='Updated by imports'),
        ),
        migrations.AddField(
            model_name='recordrelations',
            name='timestamp_geo',
            field=models.IntegerField(blank=True, null=True, verbose_name='Timestamp geo'),
        ),
        migrations.AddField(
            model_name='recordrelations',
            name='timestamp_label',
            field=models.IntegerField(blank=True, null=True, verbose_name='Timestamp label'),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_operations_administrativeact', to='ishtar_common.Import', verbose_name='Created by imports'),
        ),
        migrations.AlterField(
            model_name='administrativeact',
            name='imports_updated',
            field=models.ManyToManyField(blank=True, related_name='import_updated_archaeological_operations_administrativeact', to='ishtar_common.Import', verbose_name='Updated by imports'),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_operations_archaeologicalsite', to='ishtar_common.Import', verbose_name='Created by imports'),
        ),
        migrations.AlterField(
            model_name='archaeologicalsite',
            name='imports_updated',
            field=models.ManyToManyField(blank=True, related_name='import_updated_archaeological_operations_archaeologicalsite', to='ishtar_common.Import', verbose_name='Updated by imports'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='documentation_received',
            field=models.NullBooleanField(verbose_name='Documentation provided'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='finds_received',
            field=models.NullBooleanField(verbose_name='Finds provided'),
        ),
        migrations.AlterField(
            model_name='historicaloperation',
            name='operation_code',
            field=models.IntegerField(blank=True, null=True, verbose_name='Yearly index'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='documentation_received',
            field=models.NullBooleanField(verbose_name='Documentation provided'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='finds_received',
            field=models.NullBooleanField(verbose_name='Finds provided'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_operations_operation', to='ishtar_common.Import', verbose_name='Created by imports'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='imports_updated',
            field=models.ManyToManyField(blank=True, related_name='import_updated_archaeological_operations_operation', to='ishtar_common.Import', verbose_name='Updated by imports'),
        ),
        migrations.AlterField(
            model_name='operation',
            name='operation_code',
            field=models.IntegerField(blank=True, null=True, verbose_name='Yearly index'),
        ),
        migrations.AlterField(
            model_name='parcel',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_operations_parcel', to='ishtar_common.Import', verbose_name='Created by imports'),
        ),
        migrations.AlterField(
            model_name='parcel',
            name='imports_updated',
            field=models.ManyToManyField(blank=True, related_name='import_updated_archaeological_operations_parcel', to='ishtar_common.Import', verbose_name='Updated by imports'),
        ),
        migrations.AlterField(
            model_name='parcelowner',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_operations_parcelowner', to='ishtar_common.Import', verbose_name='Created by imports'),
        ),
        migrations.AlterField(
            model_name='parcelowner',
            name='imports_updated',
            field=models.ManyToManyField(blank=True, related_name='import_updated_archaeological_operations_parcelowner', to='ishtar_common.Import', verbose_name='Updated by imports'),
        ),
    ]
